List batch crypto transfers
curl --request GET \
--url https://production.hifi.com/v3/batch-transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifi.com/v3/batch-transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifi.com/v3/batch-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "bctx_2mNpXwZ7bV1aLcs3Kf9dQ",
"requestId": "d3a8b2e4-3c4d-4e5f-9012-2b3c4d5e6f70",
"currency": "USDC",
"status": "COMPLETED",
"failedReason": null,
"source": {
"userId": "usr_3Kf9dQ2mNpXwZ7bV1aLcs",
"walletId": "wlt_1aLcs3Kf9dQ2mNpXwZ7bV"
},
"destinations": [
{
"userId": "usr_7bV1aLcs3Kf9dQ2mNpXwZ",
"walletId": "wlt_9dQ2mNpXwZ7bV1aLcs3Kf",
"externalWalletId": null,
"amount": 25
}
],
"contractAddress": "0x3c499c542cef5e3811e1192ce70d8cc03d5c3359",
"receipt": {
"transactionHash": "0x9c8f7e6d5c4b3a2918f0e1d2c3b4a5968778695a4b3c2d1e0f9a8b7c6d5e4f30",
"userOpHash": "0x1a2b3c4d5e6f70819293a4b5c6d7e8f90a1b2c3d4e5f60718293a4b5c6d7e8f9"
},
"chain": "POLYGON",
"createdAt": "2026-07-01T10:30:00.000Z",
"updatedAt": "2026-07-01T10:32:05.000Z"
}
],
"pagination": {
"hasMore": false,
"startCursor": "bctx_2mNpXwZ7bV1aLcs3Kf9dQ",
"endCursor": "bctx_2mNpXwZ7bV1aLcs3Kf9dQ"
}
}{
"type": "VALIDATION_ERROR",
"message": "One or more fields are invalid or missing.",
"fields": [
{
"code": "invalid_value",
"message": "Must be a valid email address",
"field": "email"
}
]
}{
"type": "UNAUTHORIZED",
"message": "Authentication required"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred"
}Crypto Transfers
List batch crypto transfers
List all batch crypto transfers. Supports cursor-based pagination and filtering by status and source user.
GET
/
v3
/
batch-transfers
List batch crypto transfers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
default to 10, maximum to 100
Required range:
1 <= x <= 100Return records after this cursor.
Return records before this cursor.
Filter batch crypto transfers by status.
Available options:
NOT_INITIATED, CREATED, PENDING_APPROVAL, APPROVED, REJECTED, EXPIRED, INITIATED, PENDING, COMPLETED, FAILED, QUOTE_FAILED, OPEN_QUOTE, UNKNOWN, CANCELLED Filter batch crypto transfers by the source user public ID (prefixed with usr_).
⌘I